clear
clf
%Ponemos todos los tiempos en 1975 y generamos 50 ns aleatorios entre 1975
%y 2025
t_policy_year_init=[1975];
t_air_poll_time_init=[1975];
t_land_fert_time_init=[1975];
t_fcaor_time_init=[1975];
t_zero_pop_grow_time_init=[1975];
t_ind_equil_time_init=[1975];
t_fert_eff_time_init=[1975];
%inicialmente los retrasos son de 5 aos y los ampliamos hasta 20
in_TDD_init=[5];
%Parmetros que cambiamos en las polticas, empezamos por el rango ms bajo
nr_resources_init=[1e12];
p_avg_life_agr_inp_init=[1];
chg_mlt_POLGM_init=[-0.06];
chg_mlt_LYCM_init=[0];
chg_mlt_NRCM_init=[-0.06];
des_fam_size_init=[1];
ind_out_pc_des_init=[350];
p_avg_life_ind_cap_init=[12];
p_avg_life_serv_cap_init=[18];
p_serv_cap_out_ratio_init=[0.5];

kk=1;
for kk=1:25
    rand('state',sum(100*clock))                    
    %Modificamos los aos de las polticas
    t_policy_year=t_policy_year_init+50*rand
    t_air_poll_time=t_air_poll_time_init+50*rand
    t_land_fert_time=t_land_fert_time_init+50*rand
    t_fcaor_time=t_fcaor_time_init+50*rand
    t_zero_pop_grow_time=t_zero_pop_grow_time_init+50*rand
    t_ind_equil_time=t_ind_equil_time_init+50*rand
    t_fert_eff_time=t_fert_eff_time_init+50*rand
    in_TDD=in_TDD_init+15*rand
    %Modificamos ahora los parmetros de las polticas
    %nr_resources va desde 1e12 a 2e12
    nr_resources=nr_resources_init*(1+rand)
    %p_avg_life_agr_in va desde 1 a 3
    p_avg_life_agr_inp=p_avg_life_agr_inp_init*(1+2*rand)
    %chg_mlt_POLGM de -0.06 a 0
    chg_mlt_POLGM=chg_mlt_POLGM_init+0.06*rand
    %chg_mlt_LYCM de 0 a 0.04
    chg_mlt_LYCM=chg_mlt_LYCM_init+0.04*rand
    %chg_mlt_NRCM de -0.06 a 0
    chg_mlt_NRCM=chg_mlt_NRCM_init+0.06*rand
    %des_fam_size de 1 a 3
    des_fam_size=des_fam_size_init*(1+2*rand)
    %ind_out_pc_des de 350 a 700
    ind_out_pc_des=ind_out_pc_des_init+350*rand
    %p_avg_life_ind_cap de 12 a 16
    p_avg_life_ind_cap=p_avg_life_ind_cap_init+4*rand
    %p_avg_life_ind_cap de 18 a 22
    p_avg_life_serv_cap=p_avg_life_serv_cap_init+4*rand
    %p_avg_life_serv_cap de 0.5 a 1.5
    p_serv_cap_out_ratio=p_serv_cap_out_ratio_init+rand
    %x29 se usa para comparar los recursos restantes con los recursos
    %iniciales
    x29=nr_resources
    %Y ahora lanzamos la simulacin
    sim('simuworld3');


subplot(2,1,1),plot(time, population_1/1.2e10,'k',time, food/6e12,'g', time, industrial_output/4e12,'b',time, ppoll_index/40,'r',time, nr_resources/2e12,'y');
AXIS([1900 2100 0 1])
TITLE('State of world')
legend('population 1/1.2e10','food/6e12','industrial output/4e12', 'ppoll index/40', 'nr resources/2e12','Location','NorthEastOutside');
hold on
grid on
%--

subplot(2,1,2),plot(time, food_pc/1000,'g',time, cons_ind_out_pc/250,'b', time, serv_out_pc/1000,'m',time, life_expectancy/90,'y');
AXIS([1900 2100 0 1])
TITLE('Material Standard') 
legend('food pc/1000','cons ind out pc/6e12','serv out pc/1000', 'life expectancy/90','Location','NorthEastOutside');
hold on
grid on
%--

subplot(2,1,1),plot(time, HEF/4,'r',time, HWI/1,'g');
AXIS([1900 2100 0 1])
legend('time vs Human Ecological Footprint/4','time vs Human Welfare Index','Location','NorthEastOutside')
TITLE('Welfare, Footprint')
hold on
grid on
%--

subplot(2,1,2),plot(time, nr_res_use_rate/2.4e10,'r',time, ppoll_gen_rt/1.2e9,'b',time, land_fert_degr/100,'m',time, land_erosion_rt/4e7,'g',time, land_rem_urb_ind_use/4e7,'y');
AXIS([1900 2100 0 1])
legend('time vs nr res use rate/2.4e10','time vs ppoll gen rt/1.2e9','time vs land fert degr/100','time vs land erosion rt/4e7','time vs land rem urb ind use/4e7','Location','NorthEastOutside')
TITLE('Withdrawals from environment')
hold on
grid on
%--

subplot(2,1,1),plot(time, s_land_yield_fact/4,'g',time, s_nr_res_use_fact/1,'m',time, s_ppoll_gen_fact/1,'r',time, s_ind_cap_out_ratio/6,'b');
AXIS([1900 2100 0 1])
legend('time vs s land yield fact/4','time vs s nr res use fact','time vs s ppoll gen fact','time vs land erosion rt/4e7','time vs s ind cap out ratio/6','Location','NorthEastOutside')
TITLE('Technology')
hold on
grid on
%--

subplot(2,1,2),plot(time, res_intens/0.01,'m',time, poll_intens_ind/2e-4,'r',time, land_yield/6000,'g',time, fert_cont_eff/1,'y',time, s_ind_cap_out_ratio/6,'b');
AXIS([1900 2100 0 1])
legend('time vs s res intens/0.01','time vs s poll intens ind/2e-4','time vs land yield/6000','time vs fert cont eff/1','time vs s ind cap out ratio/6','Location','NorthEastOutside')
TITLE('Effects of Technology')
hold on
grid on
%--

subplot(2,1,1),plot(time, land_fertility/600,'m',time, agr_inp_per_hect/200,'r',time, land_yield/4000,'g',time, s_yield_mlt_air_poll/1,'y',time, lifet_mlt_food/2,'b');
AXIS([1900 2100 0 1])
legend('time vs land fertility/600','time vs agr inp per hect/200','time vs land yield/6000','time vs land yield/4000','time vs s yield mlt air poll/1','time vs lifet mlt food/2','Location','NorthEastOutside')
TITLE('Agriculture')
hold on
grid on
%--

subplot(2,1,2),plot(time, fioa_ind/0.44,'b',time, s_fioa_agr/0.44,'g',time, s_fioa_cons/0.44,'m',time, s_fioa_serv/0.44,'k',time, s_fr_cap_al_obt_res/1,'y');
AXIS([1900 2100 0 1])
legend('time vs fioa ind/0.44','time vs s fioa agr/0.44','time vs s fioa cons/0.44','time vs s fioa serv/0.44','time vs s fr cap al obt res/1','Location','NorthEastOutside')
TITLE('Allocation of output')
hold on
grid on
end